Skip to main content
Replace Slo
curl --request PUT \
  --url https://api.coralogix.com/mgmt/openapi/5/slo/slos/v1 \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "apmSli": {
    "errorConfig": {},
    "filters": [
      {
        "key": "environment",
        "value": "production",
        "values": [
          "500"
        ]
      }
    ],
    "groupingKeys": [
      "environment",
      "region"
    ],
    "services": [
      "my-service",
      "payment-service"
    ]
  },
  "apmSliMetadata": {
    "errorConfig": {},
    "filters": [
      {
        "key": "environment",
        "value": "production",
        "values": [
          "500"
        ]
      }
    ],
    "groupingKeys": [
      "environment",
      "region"
    ],
    "services": [
      "my-service",
      "payment-service"
    ]
  },
  "createTime": "2023-11-07T05:31:56Z",
  "creator": "test@domain.com",
  "description": "A brief description of my SLO",
  "grouping": {
    "labels": [
      "<string>"
    ]
  },
  "id": "b11919d5-ef85-4bb1-8655-02640dbe94d9",
  "labels": {},
  "name": "Example Slo Name",
  "ownershipTags": {
    "environment": {
      "labelKeys": [
        "deployment_environment",
        "k8s_namespace"
      ],
      "resolvedValues": [
        "checkout-api",
        "production",
        "staging",
        "payments-ns"
      ],
      "staticValues": [
        "checkout-api"
      ]
    },
    "service": {
      "labelKeys": [
        "deployment_environment",
        "k8s_namespace"
      ],
      "resolvedValues": [
        "checkout-api",
        "production",
        "staging",
        "payments-ns"
      ],
      "staticValues": [
        "checkout-api"
      ]
    },
    "team": {
      "labelKeys": [
        "deployment_environment",
        "k8s_namespace"
      ],
      "resolvedValues": [
        "checkout-api",
        "production",
        "staging",
        "payments-ns"
      ],
      "staticValues": [
        "checkout-api"
      ]
    }
  },
  "revision": {
    "revision": 1,
    "updateTime": "2023-11-07T05:31:56Z"
  },
  "targetThresholdPercentage": 99.999,
  "type": "request",
  "updateTime": "2023-11-07T05:31:56Z"
}
'
{
  "slo": {
    "apmSli": {
      "errorConfig": {},
      "filters": [
        {
          "key": "environment",
          "value": "production",
          "values": [
            "500"
          ]
        }
      ],
      "groupingKeys": [
        "environment",
        "region"
      ],
      "services": [
        "my-service",
        "payment-service"
      ]
    },
    "apmSliMetadata": {
      "errorConfig": {},
      "filters": [
        {
          "key": "environment",
          "value": "production",
          "values": [
            "500"
          ]
        }
      ],
      "groupingKeys": [
        "environment",
        "region"
      ],
      "services": [
        "my-service",
        "payment-service"
      ]
    },
    "createTime": "2023-11-07T05:31:56Z",
    "creator": "test@domain.com",
    "description": "A brief description of my SLO",
    "grouping": {
      "labels": [
        "<string>"
      ]
    },
    "id": "b11919d5-ef85-4bb1-8655-02640dbe94d9",
    "labels": {},
    "name": "Example Slo Name",
    "ownershipTags": {
      "environment": {
        "labelKeys": [
          "deployment_environment",
          "k8s_namespace"
        ],
        "resolvedValues": [
          "checkout-api",
          "production",
          "staging",
          "payments-ns"
        ],
        "staticValues": [
          "checkout-api"
        ]
      },
      "service": {
        "labelKeys": [
          "deployment_environment",
          "k8s_namespace"
        ],
        "resolvedValues": [
          "checkout-api",
          "production",
          "staging",
          "payments-ns"
        ],
        "staticValues": [
          "checkout-api"
        ]
      },
      "team": {
        "labelKeys": [
          "deployment_environment",
          "k8s_namespace"
        ],
        "resolvedValues": [
          "checkout-api",
          "production",
          "staging",
          "payments-ns"
        ],
        "staticValues": [
          "checkout-api"
        ]
      }
    },
    "revision": {
      "revision": 1,
      "updateTime": "2023-11-07T05:31:56Z"
    },
    "targetThresholdPercentage": 99.999,
    "type": "request",
    "updateTime": "2023-11-07T05:31:56Z"
  },
  "effectedSloAlertIds": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.coralogix.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Query Parameters

silence_data_validations
boolean
deprecated

Whether to silence data validations.

Body

application/json

Definition of an SLO

apmSli
ApmSli · object
required

Definition of an APM-based SLI with automatic query generation

apmSliMetadata
ApmSli · object

Definition of an APM-based SLI with automatic query generation

createTime
string<date-time>

RFC3339 timestamp of when the SLO was created.

creator
string

Email or identifier of the user who created the SLO.

Example:

"test@domain.com"

description
string

Human-readable description of the SLO.

Example:

"A brief description of my SLO"

grouping
Grouping · object

Definition of the SLO grouping fields

id
string

Unique identifier of the SLO.

Example:

"b11919d5-ef85-4bb1-8655-02640dbe94d9"

labels
object

List of labels.

name
string

Human-readable display name for the SLO.

Example:

"Example Slo Name"

ownershipTags
SloOwnershipTags · object

Service, environment, and team ownership for the SLO group. At most one SloOwnershipTag per dimension; omit a dimension when unset.

productType
enum<string>

Slo product type.

Available options:
SLO_PRODUCT_TYPE_UNSPECIFIED,
SLO_PRODUCT_TYPE_APM
revision
Revision · object

The revision of the slo, used to differentiate between different versions of the same SLO

sloTimeFrame
enum<string>

Slo time frame.

Available options:
SLO_TIME_FRAME_UNSPECIFIED,
SLO_TIME_FRAME_7_DAYS,
SLO_TIME_FRAME_14_DAYS,
SLO_TIME_FRAME_21_DAYS,
SLO_TIME_FRAME_28_DAYS
sloType
enum<string>

Slo type.

Available options:
SLO_TYPE_REQUEST,
SLO_TYPE_WINDOW
targetThresholdPercentage
number<float>

Target compliance percentage threshold for the SLO (e.g., 99.9 for three nines).

Example:

99.999

type
string
deprecated

Deprecated: SLO type string. Use slo_type instead.

Example:

"request"

updateTime
string<date-time>

Timestamp of the last update.

Response

Response after replacing an existing SLO.

slo
Slo · object
required

Definition of an SLO

effectedSloAlertIds
string[]

The effected slo alert ids.

The effected slo alert ids.